<!DOCTYPE html>
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Módulo de Horarios - Universidad de Lambayeque</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-modal.js' %}"></script>

    <link href="{% static 'custom/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'custom/bootstrap/css/bootstrap-responsive.css' %}"/>
    <style type="text/css">
        body {
            padding-top: 80px;
            padding-bottom: 40px;
            font-size: 13px;
        }

        .alert {
            color: black;
            margin-bottom: 5px;
        }

        .alert2 {
            background: #FFF373;
            border-color: #F5F3B4;
        }

        .well2 {
            background: white;
        }

        table td.colcenter, table th.colcenter {
            text-align: center;
        }

        table .alert {
            margin-bottom: 0;
            padding-bottom: 0;
        }

        h5 {
            margin: 5px 0;
        }

        table td {
            margin: 5px 0;
        }

        #sidebar {
            width: 15%;
            position: fixed;
        }

        table td h6 {
            margin-top: 5px;
            margin-bottom: 5px;
        }

        .form-horizontal .control-group {
            margin-bottom: 5px;
        }

        /* Widget Celda */
        div.widget {
            overflow: hidden;
            border: 1px solid #5c5c5c;
            color: #121212;
            background-color: #fea;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(0, 0, 0, 0.1);
            border-radius: 3px;
            max-width: 210px;
            height: 100%;
            laborr: pointer;
        }

        div.widget h3 {
            margin: 0;
            border: none;
            font-size: 0.8em;
            outline: none;
            line-height: 1.6em;
            padding: 5px 10px;
            border-bottom: 1px solid rgba(37, 37, 37, 0.6);
            text-align: center;
        }

        div.widget p {
            outline: none;
            line-height: 1.6em;
            padding: 0.2em;
            font-size: 0.8em;
            text-align: center;
            margin: 0.3em;
        }

        div.widget p.aviso {
            padding: 0.2em 0.4em;
            margin: 0 0.5em 0.5em;
            color: #fff;
            border-radius: 0.6em;
            background: #5c5c5c;
            font-size: 0.7em;
        }

        /* Loading */
        #loader {
            background: #FFF373;
            border: 1px solid #F5F3B4;
            border-radius: 3px;
            left: 550px;
            padding: 5px;
            position: absolute;
            text-align: center;
            top: -80px;
            width: 130px;
            z-index: 9999;
        }
    </style>
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
</head>

<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container-fluid">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>
            <a class="brand" href="#">
                <img src="{% static 'uploads/icon64x64.png' %}" width="32" alt="Universidad de Lambayeque"/>
                Módulo de Horarios UDL {{ periodo }}
            </a>
            <ul class="nav pull-right">
                <li><span class="btn btn-small"><i
                        class="icon-user"></i> Bienvenido(a),<strong> {{ user.first_name }}</strong>
            </span></li>
                <li class="divider-vertical"></li>
                <li><a href="/admin/logout/"><i class="icon-off"></i> Salir del sistema</a></li>
            </ul>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row-fluid">
        <div class="span2">
            <div id="sidebar">

                <ul class="breadcrumb">
                    <li><a href="/admin/">Inicio</a> <span class="divider">/</span></li>
                    <li class="active">Hor. Sem. Acad.</li>
                </ul>

                <h5><i class=" icon-search"></i> Búsqueda de horarios:</h5>
                <!-- <a ref="#"><i class="icon-chevron-left"></i></a> -->
                <input id='permiso_edicion' type="hidden"
                       value="{% if perms.Horarios.change_horario %}1{% else %}0{% endif %}"/>
                <input id='periodo' type="hidden" value="{{ periodo.id }}"/>
                <select id="combo_aulas" class="span10">
                    <optgroup label="Aulas">
                        <option value="Aula 01">Aula 01</option>
                        <option value="Aula 02">Aula 02</option>
                        <option value="Aula 03">Aula 03</option>
                        <option value="Aula 04">Aula 04</option>
                        <option value="Aula 05">Aula 05</option>
                        <option value="Aula 06">Aula 06</option>
                        <option value="Aula 07">Aula 07</option>
                        <option value="Aula 08">Aula 08</option>
                        <option value="Aula 09">Aula 09</option>
                        <option value="Aula 10">Aula 10</option>
                        <option value="Aula 11">Aula 11</option>
                        <option value="Aula 12">Aula 12</option>
                        <option value="Aula 13">Aula 13</option>
                        <option value="Aula 14">Aula 14</option>
                        <option value="Aula 15">Aula 15</option>
                        <option value="Aula 16">Aula 16</option>
                        <option value="Aula 17">Aula 17</option>
                        <option value="Aula 18">Aula 18</option>
                        <option value="Aula 19">Aula 19</option>
                        <option value="Aula 20">Aula 20</option>
                        <option value="Aula 21">Aula 21</option>
                        <option value="Aula 22">Aula 22</option>
                        <option value="Aula 23">Aula 23</option>
                        <option value="Aula 24">Aula 24</option>
                        <option value="Aula 25">Aula 25</option>
                    </optgroup>
                    <optgroup label="Labs. Informática">
                        <option value="Lab. Inf. 01">Lab. Inf. 01</option>
                        <option value="Lab. Inf. 02">Lab. Inf. 02</option>
                        <option value="Lab. Inf. 03">Lab. Inf. 03</option>
                    </optgroup>
                    <optgroup label="Lab. Multifuncional">
                        <option value="Lab. Multi. 01">Lab. Multi. 01</option>
                        <option value="Lab. Multi. 02">Lab. Multi. 02</option>
                    </optgroup>
                </select>

                <a id="refresh-aula" href="javascript:void(0)" style=""
                   title="Click para refrescar el listado de aulas."><i class="icon-refresh"></i></a>

                <select id="lstTipolabor" class="span12">
                    <option value="">-- Seleccione Tipo de labor --</option>
                    {% for tipolabor in tipolabores %}
                        <option value="{{ tipolabor.id }}">{{ tipolabor.Nombre }}</option>
                    {% endfor %}
                </select>

                <select id="lstLabor" class="span12">
                    <option value="">-- Seleccione Labor --</option>
                </select>

                <h5><i class="icon-list-alt"></i> Acciones:</h5>
                {% if perms.Horarios.add_horario %}
                    <p><a id="btnAddHorario" class="btn btn-primary btn-small btn-block">Agregar Horario</a></p>
                {% endif %}
                <p><a id="btnDescargarHorario" class="btn btn-primary btn-small btn-block"
                      href="descargar/?p={{ periodo.id }}">Descargar Horario</a></p>

                <div class="alert alert2">
                    <strong><i class="icon-info-sign"></i> Ayuda:</strong><br>
                    <ul>
                        <li><i>Busque,</i> usando el filtro por Aula, Tipolabor y Labor en la parte superior.</li>
                        <li><i>Agregue </i> horarios presionando el <strong>botón Agregar</strong>.</li>
                        <li><i>Edite</i> o <i>elimine</i>, haciendo <strong>Doble Click</strong> sobre una <i>zona
                            coloreada</i>.
                        </li>
                    </ul>
                </div>

                <div id="loader" style="display: none;">
                    <strong><i class="ixcon-refresh"></i> <img width="16" src="{% static 'uploads/loader.gif' %}"/>
                        Cargando datos</strong>
                </div>

            </div>
        </div>
        <div class="span10">

            <table id="gridHorario" class="table table-bordered table-condensed ">
                <caption style="margin-bottom: 0.8em;">
                    <div class="navbar">
                        <div class="navbar-inner">
                            <h4>
                                <span id="title-aula"></span>&nbsp;&nbsp;&nbsp;
                                <span id="title-tipolabor"></span>&nbsp;&nbsp;&nbsp;
                                <span id="title-labor"></span>
                            </h4>
                        </div>
                    </div>
                </caption>
                <thead>
                <tr>
                    <th class="span1 colcenter">
                        <i class="icon-time"></i> / <i class="icon-calendar"></i>
                    </th>
                    <th class="colcenter">LUNES</th>
                    <th class="span1 colcenter">MARTES</th>
                    <th class="span1 colcenter">MIÉRCOLES</th>
                    <th class="span1 colcenter">JUEVES</th>
                    <th class="span1 colcenter">VIERNES</th>
                    <th class="span1 colcenter">SÁBADO</th>
                    <!-- <th class="span1 colcenter">DOMINGO</th> -->
                </tr>
                </thead>
                <tbody>
                <tr>
                    <th class="colcenter"><h6>07:30 - 08:15</h6></th>
                    <td class="span1 colcenter" id="LU_07:30_08:15"></td>
                    <td class="span1 colcenter" id="MA_07:30_08:15"></td>
                    <td class="span1 colcenter" id="MI_07:30_08:15"></td>
                    <td class="span1 colcenter" id="JU_07:30_08:15"></td>
                    <td class="span1 colcenter" id="VI_07:30_08:15"></td>
                    <td class="span1 colcenter" id="SA_07:30_08:15"></td>
                    <!-- <td class="span1 colcenter" id="DO_07:30_08:15"></td> -->
                </tr>
                <tr>
                    <th class="colcenter"><h6>08:15 - 09:00</h6></th>
                    <td class="span1 colcenter" id="LU_08:15_09:00"></td>
                    <td class="span1 colcenter" id="MA_08:15_09:00"></td>
                    <td class="span1 colcenter" id="MI_08:15_09:00"></td>
                    <td class="span1 colcenter" id="JU_08:15_09:00"></td>
                    <td class="span1 colcenter" id="VI_08:15_09:00"></td>
                    <td class="span1 colcenter" id="SA_08:15_09:00"></td>
                    <!-- <td class="span1 colcenter" id="DO_08:15_09:00"></td> -->
                </tr>
                <tr>
                    <th class="colcenter"><h6>09:00 - 09:45</h6></th>
                    <td class="span1 colcenter" id="LU_09:00_09:45"></td>
                    <td class="span1 colcenter" id="MA_09:00_09:45"></td>
                    <td class="span1 colcenter" id="MI_09:00_09:45"></td>
                    <td class="span1 colcenter" id="JU_09:00_09:45"></td>
                    <td class="span1 colcenter" id="VI_09:00_09:45"></td>
                    <td class="span1 colcenter" id="SA_09:00_09:45"></td>
                    <!-- <td class="span1 colcenter" id="DO_09:00_09:45"></td> -->
                </tr>
                <!-- RECESO -->
                <tr class="inactivo">
                    <th class="span1 colcenter"><h6>09:45 - 10:00</h6></th>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>10:00 - 10:45</h6></th>
                    <td class="span1 colcenter" id="LU_10:00_10:45"></td>
                    <td class="span1 colcenter" id="MA_10:00_10:45"></td>
                    <td class="span1 colcenter" id="MI_10:00_10:45"></td>
                    <td class="span1 colcenter" id="JU_10:00_10:45"></td>
                    <td class="span1 colcenter" id="VI_10:00_10:45"></td>
                    <td class="span1 colcenter" id="SA_10:00_10:45"></td>
                    <!-- <td class="span1 colcenter" id="DO_10:00_10:45"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>10:45 - 11:30</h6></th>
                    <td class="span1 colcenter" id="LU_10:45_11:30"></td>
                    <td class="span1 colcenter" id="MA_10:45_11:30"></td>
                    <td class="span1 colcenter" id="MI_10:45_11:30"></td>
                    <td class="span1 colcenter" id="JU_10:45_11:30"></td>
                    <td class="span1 colcenter" id="VI_10:45_11:30"></td>
                    <td class="span1 colcenter" id="SA_10:45_11:30"></td>
                    <!-- <td class="span1 colcenter" id="DO_10:45_11:30"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>11:30 - 12:15</h6></th>
                    <td class="span1 colcenter" id="LU_11:30_12:15"></td>
                    <td class="span1 colcenter" id="MA_11:30_12:15"></td>
                    <td class="span1 colcenter" id="MI_11:30_12:15"></td>
                    <td class="span1 colcenter" id="JU_11:30_12:15"></td>
                    <td class="span1 colcenter" id="VI_11:30_12:15"></td>
                    <td class="span1 colcenter" id="SA_11:30_12:15"></td>
                    <!-- <td class="span1 colcenter" id="DO_11:30_12:15"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>12:15 - 13:00</h6></th>
                    <td class="span1 colcenter" id="LU_12:15_13:00"></td>
                    <td class="span1 colcenter" id="MA_12:15_13:00"></td>
                    <td class="span1 colcenter" id="MI_12:15_13:00"></td>
                    <td class="span1 colcenter" id="JU_12:15_13:00"></td>
                    <td class="span1 colcenter" id="VI_12:15_13:00"></td>
                    <td class="span1 colcenter" id="SA_12:15_13:00"></td>
                    <!-- <td class="span1 colcenter" id="DO_12:15_13:00"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>13:00 - 13:45</h6></th>
                    <td class="span1 colcenter" id="LU_13:00_13:45"></td>
                    <td class="span1 colcenter" id="MA_13:00_13:45"></td>
                    <td class="span1 colcenter" id="MI_13:00_13:45"></td>
                    <td class="span1 colcenter" id="JU_13:00_13:45"></td>
                    <td class="span1 colcenter" id="VI_13:00_13:45"></td>
                    <td class="span1 colcenter" id="SA_13:00_13:45"></td>
                    <!-- <td class="span1 colcenter" id="DO_12:15_13:00"></td> -->
                </tr>
                <!-- HORA LIBRE -->
                <!--
                <tr class="inactivo">
                  <th class="span1 colcenter"><h6>13:50 - 14:40*</h6></th>
                  <td class="span1 colcenter" id="LU_13:50_14:40"></td>
                  <td class="span1 colcenter" id="MA_13:50_14:40"></td>
                  <td class="span1 colcenter" id="MI_13:50_14:40"></td>
                  <td class="span1 colcenter" id="JU_13:50_14:40"></td>
                  <td class="span1 colcenter" id="VI_13:50_14:40"></td>
                  <td class="span1 colcenter" id="SA_13:50_14:40"></td>
                </tr>
                <tr class="inactivo">
                  <th class="span1 colcenter"><h6>14:40 - 13:45*</h6></th>
                  <td class="span1 colcenter" id="LU_14:40_13:45"></td>
                  <td class="span1 colcenter" id="MA_14:40_13:45"></td>
                  <td class="span1 colcenter" id="MI_14:40_13:45"></td>
                  <td class="span1 colcenter" id="JU_14:40_13:45"></td>
                  <td class="span1 colcenter" id="VI_14:40_13:45"></td>
                  <td class="span1 colcenter" id="SA_14:40_13:45"></td>
                </tr>
                -->
                <tr>
                    <th class="span1 colcenter"><h6>13:45 - 14:30</h6></th>
                    <td class="span1 colcenter" id="LU_13:45_14:30"></td>
                    <td class="span1 colcenter" id="MA_13:45_14:30"></td>
                    <td class="span1 colcenter" id="MI_13:45_14:30"></td>
                    <td class="span1 colcenter" id="JU_13:45_14:30"></td>
                    <td class="span1 colcenter" id="VI_13:45_14:30"></td>
                    <td class="span1 colcenter" id="SA_13:45_14:30"></td>
                    <!-- <td class="span1 colcenter" id="DO_13:45_14:30"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>14:30 - 15:15</h6></th>
                    <td class="span1 colcenter" id="LU_14:30_15:15"></td>
                    <td class="span1 colcenter" id="MA_14:30_15:15"></td>
                    <td class="span1 colcenter" id="MI_14:30_15:15"></td>
                    <td class="span1 colcenter" id="JU_14:30_15:15"></td>
                    <td class="span1 colcenter" id="VI_14:30_15:15"></td>
                    <td class="span1 colcenter" id="SA_14:30_15:15"></td>
                    <!-- <td class="span1 colcenter" id="DO_14:30_15:15"></td> -->
                </tr>
                <tr class="inactivo">
                    <th class="span1 colcenter"><h6>15:15 - 15:30</h6></th>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                    <td class="span1 colcenter"></td>
                </tr>
                <!-- RECESO -->
                <tr>
                    <th class="span1 colcenter"><h6>15:30 - 16:15</h6></th>
                    <td class="span1 colcenter" id="LU_15:30_16:15"></td>
                    <td class="span1 colcenter" id="MA_15:30_16:15"></td>
                    <td class="span1 colcenter" id="MI_15:30_16:15"></td>
                    <td class="span1 colcenter" id="JU_15:30_16:15"></td>
                    <td class="span1 colcenter" id="VI_15:30_16:15"></td>
                    <td class="span1 colcenter" id="SA_15:30_16:15"></td>
                    <!-- <td class="span1 colcenter" id="DO_15:30_16:15"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>16:15 - 17:00</h6></th>
                    <td class="span1 colcenter" id="LU_16:15_17:00"></td>
                    <td class="span1 colcenter" id="MA_16:15_17:00"></td>
                    <td class="span1 colcenter" id="MI_16:15_17:00"></td>
                    <td class="span1 colcenter" id="JU_16:15_17:00"></td>
                    <td class="span1 colcenter" id="VI_16:15_17:00"></td>
                    <td class="span1 colcenter" id="SA_16:15_17:00"></td>
                    <!-- <td class="span1 colcenter" id="DO_16:15_17:00"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>17:00 - 17:45</h6></th>
                    <td class="span1 colcenter" id="LU_17:00_17:45"></td>
                    <td class="span1 colcenter" id="MA_17:00_17:45"></td>
                    <td class="span1 colcenter" id="MI_17:00_17:45"></td>
                    <td class="span1 colcenter" id="JU_17:00_17:45"></td>
                    <td class="span1 colcenter" id="VI_17:00_17:45"></td>
                    <td class="span1 colcenter" id="SA_17:00_17:45"></td>
                    <!-- <td class="span1 colcenter" id="DO_17:00_17:45"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>17:45 - 18:30</h6></th>
                    <td class="span1 colcenter" id="LU_17:45_18:30"></td>
                    <td class="span1 colcenter" id="MA_17:45_18:30"></td>
                    <td class="span1 colcenter" id="MI_17:45_18:30"></td>
                    <td class="span1 colcenter" id="JU_17:45_18:30"></td>
                    <td class="span1 colcenter" id="VI_17:45_18:30"></td>
                    <td class="span1 colcenter" id="SA_17:45_18:30"></td>
                    <!-- <td class="span1 colcenter" id="DO_17:45_18:30"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>18:30 - 19:15</h6></th>
                    <td class="span1 colcenter" id="LU_18:30_19:15"></td>
                    <td class="span1 colcenter" id="MA_18:30_19:15"></td>
                    <td class="span1 colcenter" id="MI_18:30_19:15"></td>
                    <td class="span1 colcenter" id="JU_18:30_19:15"></td>
                    <td class="span1 colcenter" id="VI_18:30_19:15"></td>
                    <td class="span1 colcenter" id="SA_18:30_19:15"></td>
                    <!-- <td class="span1 colcenter" id="DO_18:30_19:15"></td> -->
                <tr>
                    <th class="span1 colcenter"><h6>19:15 - 20:00</h6></th>
                    <td class="span1 colcenter" id="LU_19:15_20:00"></td>
                    <td class="span1 colcenter" id="MA_19:15_20:00"></td>
                    <td class="span1 colcenter" id="MI_19:15_20:00"></td>
                    <td class="span1 colcenter" id="JU_19:15_20:00"></td>
                    <td class="span1 colcenter" id="VI_19:15_20:00"></td>
                    <td class="span1 colcenter" id="SA_19:15_20:00"></td>
                    <!-- <td class="span1 colcenter" id="DO_19:15_20:00"></td> -->
                </tr>
                <tr>
                    <th class="span1 colcenter"><h6>20:00 - 20:45</h6></th>
                    <td class="span1 colcenter" id="LU_20:00_20:45"></td>
                    <td class="span1 colcenter" id="MA_20:00_20:45"></td>
                    <td class="span1 colcenter" id="MI_20:00_20:45"></td>
                    <td class="span1 colcenter" id="JU_20:00_20:45"></td>
                    <td class="span1 colcenter" id="VI_20:00_20:45"></td>
                    <td class="span1 colcenter" id="SA_20:00_20:45"></td>
                    <!-- <td class="span1 colcenter" id="DO_20:00_20:45"></td> -->
                </tr>
                </tbody>
                <tfoot>
                <tr>
                    <th class="span1 colcenter">
                        <i class="icon-time"></i> / <i class="icon-calendar"></i>
                    </th>
                    <th class="colcenter">LUNES</th>
                    <th class="span1 colcenter">MARTES</th>
                    <th class="span1 colcenter">MIÉRCOLES</th>
                    <th class="span1 colcenter">JUEVES</th>
                    <th class="span1 colcenter">VIERNES</th>
                    <th class="span1 colcenter">SÁBADO</th>
                    <!-- <th class="span1 colcenter">DOMINGO</th> -->
                </tr>
                </tfoot>
            </table>

        </div>
    </div>
</div> <!-- /container -->

<!-- Modal -->
<div id="mdwHorario" class="modal hide fade" tabindex="-1" data-backdrop="static" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-header">
        <button id="cruzCancelarModal" type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3 id="myModalLabel">Insertar Horario</h3>
    </div>

    <div class="modal-body">
        <form id="frmHorarioModal" action="" method="post" class="form-horizontal">

            <p>Seleccione las opciones en la parte inferior y luego presione el botón <strong>Guardar</strong> o
                <strong>Cancelar</strong> si desea deshacer la operación:</p>

            <div class="alert">
                <h5>Datos del Horario seleccionado:</h5>
                <div class="control-group">
                    <label class="control-label" for="lblAula"><i class="icon-home"></i> <strong>Aula: </strong></label>
                    <div class="controls">
                        <label id="lblAula" class="label label-success"></label>
                    </div>
                </div>

                <div class="control-group">
                    <label class="control-label" for="selTipolabor"><i class="icon-search"></i>
                        <strong>Tipolabor: </strong></label>
                    <div class="controls">
                        <select id="lstTipolaborModal">
                            {% for tipolabor in tipolabores %}
                                <option value="{{ tipolabor.id }}">{{ tipolabor.Nombre }}</option>
                            {% endfor %}
                        </select>
                        <label id="lblTipolaborModal"></label>
                    </div>
                </div>

                <div class="control-group">
                    <label class="control-label" for="selLabor"> <i class="icon-search"></i>
                        <strong>Labor: </strong></label>
                    <div class="controls">
                        <select id="lstLaborModal">
                            <option value="">- Seleccione Labor -</option>
                        </select>
                        <label id="lblLaborModal"></label>
                    </div>
                </div>
                <hr style="margin-top: 0;margin-bottom:5px;"/>
                <div class="control-group">
                    <label class="control-label" for="selPeriodoLabor"> <i class="icon-search"></i>
                        <strong>Grupo Horario Labor: </strong></label>
                    <div class="controls">
                        <select id="lstPeriodoLaborModal">
                            <option>-- Seleccione Labor --</option>
                        </select>
                        <label id="lblPeriodoLaborModal"></label>
                        <!-- <p id="msgLaborModal">Seleccione tipolabor y labor</p> -->
                    </div>
                </div>

                <div class="control-group">
                    <label class="control-label" for="lstDia"><i class="icon-calendar"></i>
                        <strong>Día: </strong></label>
                    <div class="controls">
                        <select id="lstDiaModal" class="span2">
                            <option value="LU">Lunes</option>
                            <option value="MA">Martes</option>
                            <option value="MI">Miércoles</option>
                            <option value="JU">Jueves</option>
                            <option value="VI">Viernes</option>
                            <option value="SA">Sábado</option>
                            <option value="DO">Domingo</option>
                        </select>
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label" for="lstHoraIni"><i class="icon-time"></i> <strong>Hora
                        Inicio: </strong></label>
                    <div class="controls">
                        <select id="lstHoraIniModal" class="span2">
                            <optgroup label="Turno Mañana">
                                <option value="07:30">07:30 AM</option>
                                <option value="08:15">08:15 AM</option>
                                <option value="09:00">09:00 AM</option>
                                <option value="09:45">09:45 AM</option>
                                <option value="10:00">10:00 AM</option>
                                <option value="10:45">10:45 PM</option>
                                <option value="11:30">11:30 PM</option>
                                <option value="12:15">12:15 PM</option>
                            </optgroup>
                            <optgroup label="Turno Tarde">
                                <option value="13:00">13:00 PM</option>
                                <option value="13:45">13:45 PM</option>
                                <option value="14:30">14:30 PM</option>
                                <option value="15:30">15:30 PM</option>
                                <option value="16:15">16:15 PM</option>
                                <option value="17:00">17:00 PM</option>
                                <option value="17:45">17:45 PM</option>
                                <option value="18:30">18:30 PM</option>
                                <option value="19:15">19:15 PM</option>
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="control-group">
                    <label class="control-label" for="lstHoraFin"><i class="icon-time"></i> <strong>Hora Fin: </strong></label>
                    <div class="controls">
                        <select id="lstHoraFinModal" class="span2">
                            <optgroup label="Mañana">
                                <option value="07:30">07:30 AM</option>
                                <option value="08:15">08:15 AM</option>
                                <option value="09:00">09:00 AM</option>
                                <option value="09:45">09:45 AM</option>
                                <option value="10:45">10:45 AM</option>
                                <option value="11:30">11:30 PM</option>
                                <option value="12:15">12:15 PM</option>
                                <option value="13:00">13:00 PM</option>
                            </optgroup>
                            <optgroup label="Tarde">
                                <option value="13:45">13:45 PM</option>
                                <option value="14:30">14:30 PM</option>
                                <option value="15:15">15:15 PM</option>
                                <option value="15:30">15:30 PM</option>
                                <option value="16:15">16:15 PM</option>
                                <option value="17:00">17:00 PM</option>
                                <option value="17:45">17:45 PM</option>
                                <option value="18:30">18:30 PM</option>
                                <option value="19:15">19:15 PM</option>
                                <option value="20:00">20:00 PM</option>
                                <option value="20:45">20:45 PM</option>
                            </optgroup>
                        </select>
                    </div>
                </div>

                <!--
                <div class="control-group">
                    <label class="control-label" for="selDocente"> <i class="icon-user"></i> <strong>Docente: </strong></label>
                    <div class="controls">
                        <select id="lstDocente" disabled="disabled">
                        </select>
                    </div>
                </div>
                -->

            </div> <!-- end alert -->
            <!--
            <div class="alert alert-success">
                <span class="label label-success"><i class="icon-ok icon-white"></i> El horario se grabó correctamente</span>
            </div> -->

    </div><!-- end modal-body  -->

    <div class="modal-footer">
        <button id="btnCancelarModal" class="btn btn-primary" data-dismiss="modal" aria-hidden="true">Cancelar</button>
        <button id="btnEliminarModal" class="btn btn-danger pull-left" data-dismiss="modal" aria-hidden="true"><i
                class="icon-trash icon-white"></i> Eliminar horario
        </button>
        <button id="btnGuardarModal" class="btn btn-primary" data-dismiss="modal" aria-hidden="true">Guardar horario
        </button>
    </div>
    </form>
</div>

<script>

    function limpiarGridHorario() {
        $("#gridHorario").find("td").each(function (index, element) {
            $(this)
                .show()
                .removeAttr('rowspan')
                .html("")
                .css("background-color", "")
                .css("height", 1);
            var alto_widget = $(this)[0].offsetHeight; //clientHeight /
            $(this).height(alto_widget);
        });
        $("#gridHorario").find("tr.inactivo")
            .css("background-color", "#ccc");
    }

    Array.prototype.unique = function (a) {
        return function () {
            return this.filter(a)
        }
    }(function (a, b, c) {
        return c.indexOf(a, b + 1) < 00
    });

    function solo_idlabores(datos) {
        var textoDatos = datos.split("&&");
        var idlabores = [];
        if (textoDatos) {
            for (var d = 0; d < textoDatos.length - 1; d++) {
                var linea = textoDatos[d].split("|");
                idlabores.push(linea[3]);
            }
        }
        return idlabores.unique();
    }

    var horarios = [
        "07:30", "08:15", "09:00", "09:45", "10:00", "10:45", "11:30", "12:15", "13:00", "13:45", "14:30", "15:15", "15:30", "16:15", "17:00", "17:45", "18:30", "19:15", "20:00", "20:45"
    ];

    function actualizaGridHorario(datos) {
        //console.log(datos);
        var textoDatos = datos.split("&&");

        if (textoDatos) {

            limpiarGridHorario();

            for (var d = 0; d < textoDatos.length; d++) {
                var linea = textoDatos[d].split("|");

                var dia = linea[4];
                var hin = linea[5];
                var hfn = linea[6];

                var indice_hin = horarios.indexOf(hin);
                var indice_hfn = horarios.indexOf(hfn);
                var num_celdas_seleccionadas = indice_hfn - indice_hin;

                var ids_celdas = "";
                var $tds_seleccionados;

                // Cadena de celdas seleccionadas
                for (var i = indice_hin; i < indice_hfn; i++) {
                    ids_celdas += "#" + dia + "_" + horarios[i] + "_" + horarios[i + 1] + ", ";
                }

                ids_celdas = ids_celdas.slice(0, -2); // Quita la última coma
                ids_celdas = ids_celdas.replace(/\:/g, "\\:"); // Reemplazamos caracter doble punto

                $tds_seleccionados = $(ids_celdas);

                $tds_seleccionados.each(function (index, element) {

                    if (index == 0) {
                        var info_celda = '<div class="widget"><h3>' + linea[9] + ' - ' + linea[1] +
                            '</h3><p><strong>' + linea[2].toUpperCase() + '</strong>' +
                            '<br/>' + linea[5] + " - " + linea[6] +
                            '</p><input type="hidden" value="' + linea[3] + "_" + linea[4] + "_" + linea[5] + "_" + linea[6] + "_" + linea[8] + '">' +
                            '</div>';

                        var idlabor = linea[3];

                        $(element)
                            .show()
                            // .addClass("IDC"+idlabor)
                            .attr('rowspan', num_celdas_seleccionadas)
                            .html(info_celda)
                            .css("background-color", "#e8e8e8")
                            .fadeIn("slow")
                            .find("div").addClass("IDC" + idlabor);

                        var perm = $("#permiso_edicion").val();
                        if (perm == 1) {
                            $(element)
                            // .css("laborr", "default")
                                .on("dblclick", function (widget_selected) {
                                    showEditHorarioForm(widget_selected);
                                });
                        }
                    }
                    else {
                        $(element).hide();
                    }

                });

                // Actualizamos la altura de todos los widgets disponibles
                $tds_seleccionados.each(function (index, element) {

                    var alto_widget = $(element)[0].offsetHeight; //clientHeight /
                    $(element).height(alto_widget);
                    // $(element).attr("height",alto_widget);
                    // console.log($(element));
                });

            }

            // Asignamos colores a las celdas
            var widget = {
                "colores": [
                    {"fondo": "#99FFCC"},
                    {"fondo": "#66CCCC"},
                    {"fondo": "#6699CC"},
                    {"fondo": "#FFEEAA"},
                    {"fondo": "#66CC66"},
                    {"fondo": "#CCFF99"},
                    {"fondo": "#CCCC66"},
                    {"fondo": "#FF9966"},
                    {"fondo": "#DBADFF"},
                    {"fondo": "#9FC6E7"},
                    {"fondo": "#5484ED"},
                    {"fondo": "#A4BDFC"},
                    {"fondo": "#46D6DB"},
                    {"fondo": "#7AE7BF"},
                    {"fondo": "#51B749"},
                    {"fondo": "#FBD75B"},
                    {"fondo": "#FFB878"},
                    {"fondo": "#FF887C"},
                    {"fondo": "#FFD753"},
                    {"fondo": "#017ECD"},
                    {"fondo": "#FFC33E"},
                    {"fondo": "#F77F00"},
                ]
            };

            var idlabores = solo_idlabores(datos);

            for (var c = 0; c < idlabores.length; c++) {
                var $celdas = $("tbody").find("td div.IDC" + idlabores[c]);
                $celdas.each(function (index, element) {
                    $(this).css('background-color', widget.colores[c].fondo);
                });
            }

            // console.log("Grid Horario, generado correctamente!");
        }
        else {
            // console.log("Error al procesar datos. Intente nuevamente.");
        }
    }

    function actualizarSelectLaborModal() {

        var tipolabor = $("#lstTipolaborModal").attr('value');
        var labor = $("#lstLaborModal").attr('value');

        var mypost = {};
        mypost['consulta'] = tipolabor + '-' + labor;
        var periodo = $("#periodo").attr('value');
        mypost['periodo'] = periodo;

        if (tipolabor && labor) {
            $.ajax({
                url: "buscar_labor/",
                type: "POST",
                data: mypost,
                success: function (resp) {
                    var datos = resp.split("|");

                    if (datos[0] == 0) {
                        // alert(datos[1]);
                    } else if (datos[1] == "") {
                        $("#lstPeriodoLaborModal").empty();
                        $("#lstPeriodoLaborModal").append('<option value="">No se encontraron grupos horarios.</option>');
                    } else {
                        var select = $("#lstPeriodoLaborModal");
                        select.empty();
                        respuesta = datos[1].split("&&"); // quitamos el valor el estado de la respuesta

                        for (var d = 0; d < respuesta.length - 1; d++) {
                            var linea = respuesta[d].split("-");
                            select.append('<option value="' + linea[0] + '">' + linea[1] + '</option>');
                        }

                        $('#lstPeriodoLaborModal').attr('disabled', false);
                    }

                },
                error: function (data, status, e) {
                    alert('Error comunicándose con el servicio');
                },
            });
        }
    }

    function showAddHorarioForm() {
        // Mostramos mensaje del select labor
        $("#msgLaborModal").show();
        // Mostramos los iconos de la lupa
        $("#mdwHorario label[for=selTipolabor]").find("i").addClass("icon-search");
        $("#mdwHorario label[for=selLabor]").find("i").addClass("icon-search");
        $("#mdwHorario label[for=selPeriodoLabor]").find("i").addClass("icon-search");
        // Mostramos select tipolabor y labor
        $("#lstTipolaborModal").show();
        $("#lstLaborModal").show();
        $("#lstPeriodoLaborModal").show();
        // Ocultamos spans con datos
        $("#lblTipolaborModal").hide();
        $("#lblLaborModal").hide();
        $("#lblPeriodoLaborModal").hide();

        $('#myModalLabel').html("Agregar Horario");
        $("#btnEliminarModal").hide();

        // Seleccionamos filtro a modal
        var aula = $("#combo_aulas").attr('value');
        $("#combo_aulas").attr('value', aula);

        var tipolabor = $("#lstTipolabor").attr('value');
        $("#lstTipolaborModal").attr('value', tipolabor);
        var labor = $("#lstLabor").attr('value');
        console.log(aula);
        console.log(tipolabor);
        console.log(labor);

        if (aula == '' || tipolabor == '' || labor == '') {
            alert('Antes de agregar un nuevo horario defina el filtro por Aula, Tipolabor y Labor en la Búsqueda de Horarios.');
            return false;
        }

        // -------------------------------- obtener labores -----------------------------------------------------
        var labores = $('#lstLaborModal');
        var periodo_id = $("#periodo").attr('value');
        labores.empty();
        var opcion = "<option value=''>--Seleccionar una labor--</option>";
        labores.append(opcion);
        $.ajax({
            url: "obtener_labores/" + tipolabor + "/" + periodo_id + "/",
            dataType: "json",
            success: function (data, status) {
                if (data) {
                    $.each(data, function (i, item) {
                        console.log(item)
                        var opcion = "<option value='" + item.id + "'>" + item.nombre + "</option>";
                        labores.append(opcion);
                    });
                }
                var labor = $("#lstLabor").attr('value');
                $("#lstLaborModal").attr('value', labor);

                if (aula != '' && tipolabor != '' && labor != '') {
                    $('#mdwHorario').modal({keyboard: false, show: true});
                    $("#lstTipolaborModal").attr("disabled", true);
                    $("#lstLaborModal").attr("disabled", true);
                    $("#lblAula").html(aula);
                    actualizarSelectLaborModal();
                } else {
                    alert('Antes de agregar un nuevo horario defina el filtro por Aula, Tipolabor y Labor en la Búsqueda de Horarios.');
                }
            },
            error: function (data, status, e) {
                var opcion = "<option value=''>Primero elija un tipo de labor</option>";
                labores.append(opcion);
            }
        });
        // -------------------------------------------------------------------------------------------------------


    }

    function showEditHorarioForm(widget) {
        $('#myModalLabel').html("Editar Horario");
        $("#btnEliminarModal").show();
        // Ocultamos select tipolabor y labor
        $("#lstTipolaborModal").hide();
        $("#lstLaborModal").hide();
        $("#lstPeriodoLaborModal").hide();
        // Oculto los iconos de la lupa
        $("#mdwHorario label[for=selTipolabor]").find("i").removeClass();
        $("#mdwHorario label[for=selLabor]").find("i").removeClass();
        $("#mdwHorario label[for=selPeriodoLabor]").find("i").removeClass();
        // Ocultamos mensaje del select labor
        $("#msgLaborModal").hide();
        // Agregamos spans con datos
        $("#lblTipolaborModal").show();
        $("#lblLaborModal").show();
        $("#lblPeriodoLaborModal").show();
        // Seleccionamos las opciones segun el widget
        var $hidden = $($(widget)[0].currentTarget).find(":hidden").not("br");
        // Asignamos valores respectivos
        var valor_input_hidden = $($hidden[0]).val().split("_");
        var c = valor_input_hidden[0];
        var d = valor_input_hidden[1];
        var hi = valor_input_hidden[2];
        var hf = valor_input_hidden[3];
        var ho = valor_input_hidden[4]; // horario

        $("#lstDiaModal").attr('value', d);
        $("#lstHoraIniModal").attr('value', hi);
        $("#lstHoraFinModal").attr('value', hf);
        $("#lstPeriodoLaborModal").attr('value', c);

        var aula = $("#combo_aulas").attr('value');
        $("#lblAula").html(aula);

        $("#lblTipolaborModal").html("Cargando Tipolabor...");
        $("#lblLaborModal").html("Cargando Labor...");
        $("#lblPeriodoLaborModal").html("Cargando Labor...");

        // Consulta ajax por el periodo labor
        var idlabor = c;
        var mypost = {};
        mypost['consulta'] = idlabor;
        var periodo = $("#periodo").attr('value');
        mypost['periodo'] = periodo;
        $.ajax({
            url: "traer_periodolabor/",
            type: "POST",
            data: mypost,
            success: function (resp) {
                var datos = resp.split('-');
                $("#lblTipolaborModal").html('<span class="label">' + datos[3] + '</span>');
                $("#lblLaborModal").html('<span class="label">' + datos[4] + '</span>');
                $("#lblPeriodoLaborModal").html('<span class="label">' + datos[2] + '<input id="idhorario" type="hidden" value="' + ho + '" /></span>');
            },
            error: function (data, status, e) {
                alert('Error comunicándose con el servicio');
            },
        });

        // Mostramos la ventana modal para la edición
        $('#mdwHorario').modal({keyboard: false, show: true});
    }

    $(document).ready(function () {

        $('#lstLabor').attr('disabled', true);
        $('#lstLaborModal').attr('disabled', true);

        $('#lblTipolaborModal').hide();
        $('#lblLaborModal').hide();
        $('#lblLaborModal').hide();

        $("#btnAddHorario").click(showAddHorarioForm);

        $("#lstTipolaborModal, #lstLaborModal").change(function () {
            if ($('#lstTipolaborModal').attr('value') == "" || $('#lstLaborModal').attr('value') == "") {
                $('#lstLaborModal').attr('disabled', true)
                $("#lstLaborModal").empty();
            }

            actualizarSelectLaborModal();
        });

        // Botón refrescar
        $("#refresh-aula").click(function () {
            $('#combo_aulas').trigger('change');
        });

        $('#combo_aulas').change(function () {
            var n_aula = $(this).attr('value');
            $("#title-aula").empty();
            $("#title-aula").html(n_aula);
            var tipolabor = $('#lstTipolabor').attr('value');
            var labor = $('#lstLabor').attr('value');
            var mypost = {};
            mypost['consulta'] = n_aula + '-' + tipolabor + '-' + labor;
            var periodo = $("#periodo").attr('value');
            mypost['periodo'] = periodo;
            $.ajax({
                url: "buscar/",
                type: "POST",
                data: mypost,
                success: function (resp) {
                    actualizaGridHorario(resp);
                },
                error: function (data, status, e) {
                    alert('Error comunicándose con el servicio');
                },
            });

        });

        $('#loader')
            .ajaxStart(function () {
                $(this).show();
            })
            .ajaxStop(function () {
                $(this).hide();
            });

        $('#lstTipolabor').change(function () {
            var n_aula = $('#combo_aulas').attr('value');
            var tipolabor = $(this).attr('value');
            var tipolabor_text = $("#lstTipolabor option:selected").text();
            $("#title-tipolabor").html(tipolabor_text);
            if ($("#lstTipolabor option:selected").attr("value") == "") {
                $("#title-tipolabor").empty();
            }
            // -------------------------------- obtener labores -----------------------------------------------------
            var labores = $('#lstLabor');
            var periodo_id = $("#periodo").attr('value');
            labores.empty();
            var opcion = "<option value=''>--Seleccionar una labor--</option>";
            labores.append(opcion);
            $.ajax({
                url: "obtener_labores/" + tipolabor + "/" + periodo_id + "/",
                dataType: "json",
                success: function (data, status) {
                    if (data) {
                        $.each(data, function (i, item) {
                            var opcion = "<option value='" + item.id + "'>" + item.nombre + "</option>";
                            if (item.carrera != '') {
                                opcion = "<option value='" + item.id + "'>" + item.nombre + "(" + item.carrera + ")" + "</option>";
                            }
                            labores.append(opcion);
                        });
                    }
                },
                error: function (data, status, e) {
                    var opcion = "<option value=''>Primero elija un tipo de labor</option>";
                    labores.append(opcion);
                }
            });
            // -------------------------------------------------------------------------------------------------------
            var labor = $('#lstLabor').attr('value');
            var mypost = {};

            if (tipolabor != "") {
                $('#lstLabor').attr('disabled', false);
            } else {
                $('#lstLabor').attr('disabled', true);
                $("#lstLabor").attr('value', "");
            }

            mypost['consulta'] = n_aula + '-' + tipolabor + '-' + labor;
            var periodo = $("#periodo").attr('value');
            mypost['periodo'] = periodo;
            $.ajax({
                url: "buscar/",
                type: "POST",
                data: mypost,
                success: function (resp) {
                    actualizaGridHorario(resp);
                },
                error: function (data, status, e) {
                    alert('Error comunicándose con el servicio');
                },
            });

        });

        $('#lstLabor').change(function () {
            var n_aula = $('#combo_aulas').attr('value');
            var tipolabor = $('#lstTipolabor').attr('value');
            var labor = $(this).attr('value');
            $("#title-labor").html("Labor " + labor);
            if (labor == "") {
                $("#title-labor").empty();
            }
            var mypost = {};
            mypost['consulta'] = n_aula + '-' + tipolabor + '-' + labor;
            var periodo = $("#periodo").attr('value');
            mypost['periodo'] = periodo;
            $.ajax({
                url: "buscar/",
                type: "POST",
                data: mypost,
                success: function (resp) {
                    // console.log(resp);
                    actualizaGridHorario(resp);
                },
                error: function (data, status, e) {
                    alert('Error comunicándose con el servicio');
                },
            });

        });

        // Seleccionamos el aula1 por defecto
        $("#combo_aulas option[value='Aula 01']").attr('selected', true);

        $('#combo_aulas').trigger('change');

        $("#btnCancelarModal, #cruzCancelarModal").click(function () {
            $("#lstDiaModal").attr("value", "LU");
            $("#lstHoraIniModal").attr("value", "07:30");
            $("#lstHoraFinModal").attr("value", "07:30");
            $('#combo_aulas').attr('value', "Aula 01");
            $('#lstTipolaborModal').attr('value', "");
            $('#lstLaborModal').attr('value', "");
            $("#lstLaborModal").empty();
            $("#lstLaborModal").attr("disabled", true);
            $("#lstLaborModal").html("<option>-- Seleccione Labor --</option>");

            $("#lstTipolaborModal").attr("disabled", false);
            $("#lstLaborModal").attr("disabled", false);

            $("#lblAula").text("");
        });

        $("#btnGuardarModal").click(function () {

            var tipo_envio = $("#myModalLabel").html();

            var cur = $("#lstPeriodoLaborModal").attr("value");
            var dia = $("#lstDiaModal").attr("value");
            var hin = $("#lstHoraIniModal").attr("value");
            var hfi = $("#lstHoraFinModal").attr("value");
            var n_aula = $('#combo_aulas').attr('value');
            var tipolabor = $('#lstTipolaborModal').attr('value');
            var labor = $('#lstLaborModal').attr('value');

            // Validacion hora inicio == horafin
            if (hin == hfi) {
                alert("Verifique la hora de inicio y fin.");
                return false;
            }

            if (horarios.indexOf(hin) > horarios.indexOf(hfi)) {
                alert("No es correcta la Hora de Inicio y Fin.");
                return false;
            }

            if (tipo_envio.indexOf("Agregar") != -1) // != 0 > Agregar
            {
                var mypost = {};
                mypost['consulta'] = cur + "-" + dia + "-" + hin + "-" + hfi + "-" + n_aula + "-" + tipolabor + "-" + labor;
                var periodo = $("#periodo").attr('value');
                mypost['periodo'] = periodo;
                $.ajax({
                    url: "guardar_horario/",
                    type: "POST",
                    data: mypost,
                    success: function (resp) {
                        var respuesta = resp.split("|");
                        if (respuesta[0] == "0") {
                            alert(respuesta[1]);
                        } else {
                            actualizaGridHorario(resp);
                        }
                    },
                    error: function (data, status, e) {
                        alert('Error comunicándose con el servicio');
                    },
                });
            } else {
                var horario = $("#idhorario").attr("value");
                var val_tipolabor = $('#lstTipolabor').attr("value");
                var labor = $('#lstLabor').attr("value");
                var n_aula = $('#combo_aulas').attr('value');

                var mypost = {};
                mypost['consulta'] = horario + "-" + dia + "-" + hin + "-" + hfi + "-" + n_aula + "-" + val_tipolabor + "-" + labor;
                var periodo = $("#periodo").attr('value');
                mypost['periodo'] = periodo;
                $.ajax({
                    url: "editar_horario/",
                    type: "POST",
                    data: mypost,
                    success: function (resp) {
                        var respuesta = resp.split("|");
                        if (respuesta[0] == "0") {
                            alert(respuesta[1]);
                        } else {
                            $("#lstTipolabor").attr("value", val_tipolabor);
                            actualizaGridHorario(resp);
                        }
                    },
                    error: function (data, status, e) {
                        alert('Error comunicándose con el servicio');
                    },
                });

                // console.log("POST EDIT [ " + horario + "_" + dia + "_" + hin + "_" + hfi + "_" + n_aula + "_" + val_tipolabor + "_" + labor + " ] [ " + tipo_envio + " ]");
            }

            // Limpiamos la seleccion anterior
            $("#lstPeriodoLaborModal").attr("value", "");
            $("#lstDiaModal").attr("value", "LU");
            $("#lstHoraIniModal").attr("value", "07:30");
            $("#lstHoraFinModal").attr("value", "08:15");

        });

        $("#btnEliminarModal").click(function () {

            var tipo_envio = $("#myModalLabel").html();

            var cur = $("#lstPeriodoLaborModal").attr("value");
            var dia = $("#lstDiaModal").attr("value");
            var hin = $("#lstHoraIniModal").attr("value");
            var hfi = $("#lstHoraFinModal").attr("value");

            var confirma = confirm("¡Atención!\nEliminar un horario existente conlleva a la eliminación permanente de información relacionada al docente y al alumno. \n\n¿Desea eliminar el horario?\n");

            if (confirma) {

                if (tipo_envio.indexOf("Editar") != -1) // != 0 > Editar
                {
                    var horario = $("#idhorario").attr("value");
                    var n_aula = $('#combo_aulas').attr('value');
                    var tipolabor = $('#lblTipolaborModal span').text();
                    var s = tipolabor.split(" ");
                    var val_tipolabor = $('#lstTipolabor').attr("value");
                    var labor = $('#lstLabor').attr("value");

                    var mypost = {};
                    mypost['consulta'] = horario + "-" + n_aula + "-" + val_tipolabor + "-" + labor;
                    var periodo = $("#periodo").attr('value');
                    mypost['periodo'] = periodo;
                    $.ajax({
                        url: "eliminar_horario/",
                        type: "POST",
                        data: mypost,
                        success: function (resp) {
                            var respuesta = resp.split("|");
                            if (respuesta[0] == "0") {
                                alert(respuesta[1]);
                            } else {
                                actualizaGridHorario(resp);
                            }
                        },
                        error: function (data, status, e) {
                            alert('Error comunicándose con el servicio');
                        },
                    });
                }
            }

            // console.log("POST DELETE [ " + horario + "-" + n_aula + "-" + val_tipolabor + "-" + labor + " ] [ " + tipo_envio + " ]");

        });

    });

</script>

</body>
</html>
